not able to run hplip

Asked by Amit Kumar

facing problem in downloading and running hplip....not communicating

Missing Required Dependencies
-----------------------------
error: 'libcups2' package is missing/incompatible
error: 'libdbus-1-dev' package is missing/incompatible
error: 'libjpeg-dev' package is missing/incompatible
error: 'libcups2-dev' package is missing/incompatible
error: 'cups-bsd' package is missing/incompatible
error: 'cups-client' package is missing/incompatible
error: 'libcupsimage2-dev' package is missing/incompatible
error: 'build-essential' package is missing/incompatible
error: 'libusb-1.0.0-dev' package is missing/incompatible
error: 'libusb-0.1-4' package is missing/incompatible
error: 'libsane-dev' package is missing/incompatible
error: 'libsnmp-dev' package is missing/incompatible
error: 'snmp-mibs-downloader' package is missing/incompatible
error: 'openssl' package is missing/incompatible
error: 'python3-pyqt4' package is missing/incompatible
error: 'gtk2-engines-pixbuf' package is missing/incompatible
error: 'python3-dev' package is missing/incompatible
error: 'libtool' package is missing/incompatible
error: 'libtool-bin' package is missing/incompatible
error: 'build-essential' package is missing/incompatible
error: 'build-essential' package is missing/incompatible

Missing Optional Dependencies
-----------------------------
error: 'gtk2-engines-pixbuf' package is missing/incompatible
error: 'xsane' package is missing/incompatible
error: 'python3-notify2' package is missing/incompatible
error: 'python3-dbus.mainloop.qt' package is missing/incompatible

Total Errors: 19
Total Warnings: 0

Question information

Language:
English Edit question
Status:
Needs information
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Last query:
Last reply:
Revision history for this message
Amit Kumar (amitlohan) said :
#1

There was a problem opening the file “/home/amit/Downloads/hplip-3.22.4 (1).run”.
The file you opened has some invalid characters. If you continue editing this file you could corrupt this document.
You can also choose another character encoding and try again.

Revision history for this message
Manfred Hampl (m-hampl) said :
#2

Which operating system (including version), which printer type?

Remark: "... invalid characters ..."
This happens when you try EDITING the file instead of following the instructions how to install it (with "sh hplip...run")

Revision history for this message
Amit Kumar (amitlohan) said :
#3

os linux ubantu
and printer is HP deskjet all in one 5820

Revision history for this message
Manfred Hampl (m-hampl) said :
#4

Which release of Ubuntu?

Can you help with this problem?

Provide an answer of your own, or ask Amit Kumar for more information if necessary.

To post a message you must log in.